# for configure script
%ifarch x86_64
	%define arch	x86-64
%endif

%ifarch %ix86
	%define arch	i586
%endif

Name:		mtpaint
Version:	3.40
Release:	%mkrel 9
Summary:	Painting program for creating icons and pixel-based artwork
Group:		Graphics/Editors and Converters
License:	GPLv3+
URL:		http://mtpaint.sourceforge.net/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Patches from Fedora:
Patch0:		mtpaint-3.40-xdg-open.patch
Patch1:		mtpaint-3.40-strip.patch
Patch2:		mtpaint-3.40-png.patch
Patch3:		mtpaint-3.40-giflib5.patch
BuildRequires:	zlib-devel
BuildRequires:	giflib-devel
BuildRequires:	tiff-devel
BuildRequires:	jpeg-devel
BuildRequires:	openjpeg-devel
BuildRequires:	png-devel
BuildRequires:	lcms2-devel
BuildRequires:	gettext 
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	gifsicle

%description
mtPaint is a painting program to easily create pixel art and 
manipulate digital photos.

%prep
%setup -q
%patch0 -p1 -b .xdgpatch
%patch1 -p0 -b .strip
%patch2 -p1 -b .pngfix
%patch3 -p1 -b .giflib5

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
./configure \
	--cpu=%{arch} \
	--prefix=%{_prefix} \
	gtkfilesel gtkcolsel \
	cflags asneeded intl man thread gtk2 GIF tiff jpeg jp2 imagick lcms2
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.40-9.mga6
+ Revision: 920492
- add patch to fix build with giflib5
- rebuild for giflib

* Wed Oct 15 2014 umeabot <umeabot> 3.40-8.mga5
+ Revision: 748899
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.40-7.mga5
+ Revision: 682683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.40-6.mga4
+ Revision: 526168
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 3.40-5.mga4
+ Revision: 436017
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 3.40-4.mga3
+ Revision: 360474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Oct 07 2012 fwang <fwang> 3.40-3.mga3
+ Revision: 303250
- update rpm group
- rebuild for new openjpeg

* Sun Jul 01 2012 wally <wally> 3.40-2.mga3
+ Revision: 265963
- fix summary (mga#6645)
- add patches from Fedora
- clean and sync .spec with Fedora

* Thu May 31 2012 dams <dams> 3.40-1.mga3
+ Revision: 252460
- imported package mtpaint

